org.apache.maven.plugin.descriptor

## Class Parameter

- java.lang.Object
- - org.apache.maven.plugin.descriptor.Parameter

-     public class Parameter
      extends java.lang.Object

  Version:
    $Id: Parameter.java 495147 2007-01-11 07:47:53Z jvanzyl $
  Author:
    Jason van Zyl

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parameter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `java.lang.String` | `getAlias()`
    `java.lang.String` | `getDefaultValue()`
    `java.lang.String` | `getDeprecated()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getExpression()`
    `java.lang.String` | `getImplementation()`
    `java.lang.String` | `getName()`
    `Requirement` | `getRequirement()`
    `java.lang.String` | `getSince()`
    `java.lang.String` | `getType()`
    `int` | `hashCode()`
    `boolean` | `isEditable()`
    `boolean` | `isRequired()`
    `void` | `setAlias(java.lang.String alias)`
    `void` | `setDefaultValue(java.lang.String defaultValue)`
    `void` | `setDeprecated(java.lang.String deprecated)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setEditable(boolean editable)`
    `void` | `setExpression(java.lang.String expression)`
    `void` | `setImplementation(java.lang.String implementation)`
    `void` | `setName(java.lang.String name)`
    `void` | `setRequired(boolean required)`
    `void` | `setRequirement(Requirement requirement)`
    `void` | `setSince(java.lang.String since)`
    `void` | `setType(java.lang.String type)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Parameter

          public Parameter()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getType

          public java.lang.String getType()

    - #### setType

          public void setType(java.lang.String type)

    - #### isRequired

          public boolean isRequired()

    - #### setRequired

          public void setRequired(boolean required)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getExpression

          public java.lang.String getExpression()

    - #### setExpression

          public void setExpression(java.lang.String expression)

    - #### getDeprecated

          public java.lang.String getDeprecated()

    - #### setDeprecated

          public void setDeprecated(java.lang.String deprecated)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getAlias

          public java.lang.String getAlias()

    - #### setAlias

          public void setAlias(java.lang.String alias)

    - #### isEditable

          public boolean isEditable()

    - #### setEditable

          public void setEditable(boolean editable)

    - #### setDefaultValue

          public void setDefaultValue(java.lang.String defaultValue)

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getRequirement

          public Requirement getRequirement()

    - #### setRequirement

          public void setRequirement(Requirement requirement)

    - #### getImplementation

          public java.lang.String getImplementation()

    - #### setImplementation

          public void setImplementation(java.lang.String implementation)

    - #### getSince

          public java.lang.String getSince()

    - #### setSince

          public void setSince(java.lang.String since)